## ros-one-moveit-servo 1.1.16-49jammy.20251208.1016

=== debian/changelog ===
ros-one-moveit-servo (1.1.16-49jammy.20251208.1016) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 08 Dec 2025 10:16:01 +0000

ros-one-moveit-servo (1.1.16-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-servo (1.1.15-0jammy) jammy; urgency=high

  * Init joint trajectory with actual robot pose (#3642 <https://github.com/ros-planning/moveit/issues/3642>)
  * Use ACM consistently (#3641 <https://github.com/ros-planning/moveit/issues/3641>)
  * Contributors: Davide Torielli, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-servo (1.1.14-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-servo (1.1.13-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-servo (1.1.12-0jammy) jammy; urgency=high

  * Simplify servo config + reusable launch files (#3326 <https://github.com/ros-planning/moveit/issues/3326>)
  * Contributors: Robert Haschke

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-servo (1.1.11-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.10-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.9-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.8-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.7-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.6-0jammy) jammy; urgency=high

  * Backport position limit enforcement from MoveIt2 (#2898 <https://github.com/ros-planning/moveit/issues/2898>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Minor fixups (#2759 <https://github.com/ros-planning/moveit/issues/2759>)
  * Remove gtest include from non-testing source (#2747 <https://github.com/ros-planning/moveit/issues/2747>)
  * Fix an off-by-one error in servo_calcs.cpp (#2740 <https://github.com/ros-planning/moveit/issues/2740>)
  * Refactor ``moveit_servo::LowPassFilter`` to be assignable (#2722 <https://github.com/ros-planning/moveit/issues/2722>)
  * Contributors: Griswald Brooks, Michael Görner, Michael Wiznitzer, Robert Haschke, luisrayas3, toru-kuga

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.5-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.4-0jammy) jammy; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.3-0jammy) jammy; urgency=high

  * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
  * Contributors: Nathan Brooks

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
  * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
  * Add missing include (#2519 <https://github.com/ros-planning/moveit/issues/2519>)
  * Refactor Servo velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit/issues/2496>)
  * Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit/issues/2418>)
  * Low latency mode (#2401 <https://github.com/ros-planning/moveit/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Fix pose tracking race condition (#2395 <https://github.com/ros-planning/moveit/issues/2395>)
  * Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * Change servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Michael Görner, Nathan Brooks, Tyler Weaver, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.1-0jammy) jammy; urgency=high

  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [fix] Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)


## ros-one-moveit-servo 1.1.16-49noble.20251208.1654

=== debian/changelog ===
ros-one-moveit-servo (1.1.16-49noble.20251208.1654) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 08 Dec 2025 16:54:50 +0000

ros-one-moveit-servo (1.1.16-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-servo (1.1.15-0noble) noble; urgency=high

  * Init joint trajectory with actual robot pose (#3642 <https://github.com/ros-planning/moveit/issues/3642>)
  * Use ACM consistently (#3641 <https://github.com/ros-planning/moveit/issues/3641>)
  * Contributors: Davide Torielli, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-servo (1.1.14-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-servo (1.1.13-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-servo (1.1.12-0noble) noble; urgency=high

  * Simplify servo config + reusable launch files (#3326 <https://github.com/ros-planning/moveit/issues/3326>)
  * Contributors: Robert Haschke

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-servo (1.1.11-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.10-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.9-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.8-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-servo (1.1.7-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.6-0noble) noble; urgency=high

  * Backport position limit enforcement from MoveIt2 (#2898 <https://github.com/ros-planning/moveit/issues/2898>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Minor fixups (#2759 <https://github.com/ros-planning/moveit/issues/2759>)
  * Remove gtest include from non-testing source (#2747 <https://github.com/ros-planning/moveit/issues/2747>)
  * Fix an off-by-one error in servo_calcs.cpp (#2740 <https://github.com/ros-planning/moveit/issues/2740>)
  * Refactor ``moveit_servo::LowPassFilter`` to be assignable (#2722 <https://github.com/ros-planning/moveit/issues/2722>)
  * Contributors: Griswald Brooks, Michael Görner, Michael Wiznitzer, Robert Haschke, luisrayas3, toru-kuga

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.5-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.4-0noble) noble; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.3-0noble) noble; urgency=high

  * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
  * Contributors: Nathan Brooks

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
  * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
  * Add missing include (#2519 <https://github.com/ros-planning/moveit/issues/2519>)
  * Refactor Servo velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit/issues/2496>)
  * Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit/issues/2418>)
  * Low latency mode (#2401 <https://github.com/ros-planning/moveit/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Fix pose tracking race condition (#2395 <https://github.com/ros-planning/moveit/issues/2395>)
  * Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * Change servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Michael Görner, Nathan Brooks, Tyler Weaver, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-servo (1.1.1-0noble) noble; urgency=high

  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [fix] Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)


## ros-one-moveit-servo 1.1.16-50jammy.20260128.2327

=== debian/changelog ===
ros-one-moveit-servo (1.1.16-50jammy.20260128.2327) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 28 Jan 2026 23:27:00 +0000

## ros-one-moveit-servo 1.1.16-50noble.20260128.2344

=== debian/changelog ===
ros-one-moveit-servo (1.1.16-50noble.20260128.2344) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 28 Jan 2026 23:44:41 +0000

## ros-one-moveit-servo 1.1.16-51jammy.20260301.2326

=== debian/changelog ===
ros-one-moveit-servo (1.1.16-51jammy.20260301.2326) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 01 Mar 2026 23:26:25 +0000

## ros-one-moveit-servo 1.1.16-51noble.20260301.2318

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_servo)

set(SERVO_LIB_NAME moveit_servo_cpp_api)

find_package(Boost REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  control_msgs
  control_toolbox
  geometry_msgs
  moveit_msgs
  moveit_ros_planning_interface
  rosparam_shortcuts
  sensor_msgs
  std_msgs
  std_srvs
  tf2_eigen
  trajectory_msgs
)
moveit_build_options()

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    pose_tracking
    ${SERVO_LIB_NAME}
  CATKIN_DEPENDS
    control_msgs
    control_toolbox
    geometry_msgs
    moveit_msgs
    moveit_ros_planning_interface
    rosparam_shortcuts
    sensor_msgs
    std_msgs
    std_srvs
    tf2_eigen
    trajectory_msgs
  DEPENDS
    EIGEN3
)

include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR}
)

#########################################################
## Library to process realtime twist or joint commands ##
#########################################################

# This library provides an interface for sending realtime twist or joint commands to a robot
add_library(${SERVO_LIB_NAME}
  # These files are used to produce differential motion
  src/collision_check.cpp
  src/servo_calcs.cpp
  src/servo.cpp
  src/low_pass_filter.cpp
)
set_target_properties(${SERVO_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
add_dependencies(${SERVO_LIB_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${SERVO_LIB_NAME}
  ${catkin_LIBRARIES}
  ${Eigen_LIBRARIES}
  ${Boost_LIBRARIES}
)

# An example of streaming realtime Cartesian and joint commands
add_executable(cpp_interface_example
  src/cpp_interface_example/cpp_interface_example.cpp
)
add_dependencies(cpp_interface_example ${catkin_EXPORTED_TARGETS})
target_link_libraries(cpp_interface_example
  ${catkin_LIBRARIES}
  ${SERVO_LIB_NAME}
)

# An example of pose tracking
add_executable(pose_tracking_example
  src/cpp_interface_example/pose_tracking_example.cpp
)
add_dependencies(pose_tracking_example ${catkin_EXPORTED_TARGETS})
target_link_libraries(pose_tracking_example
  ${catkin_LIBRARIES}
  ${SERVO_LIB_NAME}
  pose_tracking
)

########################################
## Library for servoing toward a pose ##
########################################

add_library(pose_tracking
  src/pose_tracking.cpp
)
add_dependencies(pose_tracking ${catkin_EXPORTED_TARGETS})
target_link_libraries(pose_tracking
  ${catkin_LIBRARIES}
  ${SERVO_LIB_NAME}
)

############################
## ROS message-based node ##
############################

add_executable(servo_server
  src/servo_server.cpp
)
add_dependencies(servo_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(servo_server
  ${SERVO_LIB_NAME}
  ${catkin_LIBRARIES}
)

################################################
## An example of converting joystick commands ##
################################################

add_executable(spacenav_to_twist
  src/teleop_examples/spacenav_to_twist.cpp
)
add_dependencies(spacenav_to_twist ${catkin_EXPORTED_TARGETS})
target_link_libraries(spacenav_to_twist ${catkin_LIBRARIES})

##################
## INSTALLATION ##
##################

install(
  TARGETS
    ${SERVO_LIB_NAME}
    pose_tracking
    pose_tracking_example
    servo_server
    spacenav_to_twist
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## TESTING ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # basic functionality
  add_rostest_gtest(basic_servo_tests
    test/basic_servo_tests.test
    test/basic_servo_tests.cpp
  )
  target_link_libraries(basic_servo_tests
    ${SERVO_LIB_NAME}
    ${catkin_LIBRARIES}
  )

  # servo_cpp_interface
  add_rostest_gtest(servo_cpp_interface_test
    test/servo_cpp_interface_test.test
    test/servo_cpp_interface_test.cpp
  )
  target_link_libraries(servo_cpp_interface_test
    ${SERVO_LIB_NAME}
    ${catkin_LIBRARIES}
  )

  # pose_tracking
  add_rostest_gtest(pose_tracking_test
    test/pose_tracking_test.test
    test/pose_tracking_test.cpp
  )
  target_link_libraries(pose_tracking_test
    pose_tracking
    ${catkin_LIBRARIES}
  )
endif()

=== debian/changelog ===
ros-one-moveit-servo (1.1.16-51noble.20260301.2318) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Blake Anderson <blakeanderson@utexas.edu>  Sun, 01 Mar 2026 23:18:16 +0000

=== debian/control ===
Source: ros-one-moveit-servo
Section: misc
Priority: optional
Maintainer: Blake Anderson <blakeanderson@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-control-msgs, ros-one-control-toolbox, ros-one-geometry-msgs, ros-one-moveit-msgs, ros-one-moveit-ros-planning-interface, ros-one-rosparam-shortcuts, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-eigen, ros-one-trajectory-msgs
Homepage: https://moveit.github.io/moveit_tutorials
Standards-Version: 3.9.2

Package: ros-one-moveit-servo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-control-toolbox, ros-one-geometry-msgs, ros-one-joy-teleop, ros-one-moveit-msgs, ros-one-moveit-ros-planning-interface, ros-one-rosparam-shortcuts, ros-one-sensor-msgs, ros-one-spacenav-node, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-eigen, ros-one-trajectory-msgs
Description: Provides real-time manipulator Cartesian and joint servoing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-servo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
